Module java.desktop
Package javax.swing.text

# Class LayeredHighlighter.LayerPainter

java.lang.Object
javax.swing.text.LayeredHighlighter.LayerPainter

All Implemented Interfaces:
  `Highlighter.HighlightPainter`

Direct Known Subclasses:
  `DefaultHighlighter.DefaultHighlightPainter`

Enclosing class:
  `LayeredHighlighter`

public abstract static class LayeredHighlighter.LayerPainter extends Object implements Highlighter.HighlightPainter
Layered highlight renderer.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LayerPainter()`
Constructor for subclasses to call.

## Method Summary

Modifier and Type
Method
Description
`abstract Shape`
`paintLayer(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`
Paints a portion of a highlight.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.text.Highlighter.HighlightPainter

`paint`

## Constructor Details

### LayerPainter

protected LayerPainter()
Constructor for subclasses to call.

## Method Details

### paintLayer

public abstract Shape paintLayer(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)
Paints a portion of a highlight.

Parameters:
  `g` - Graphics used to draw
  `p0` - starting offset of view
  `p1` - ending offset of view
  `viewBounds` - Bounds of View
  `editor` - JTextComponent
  `view` - View instance being rendered
Returns:
  a shape